﻿using UnityEngine;
using System.Collections;

public class SaveHumanoidsToNextLevel : MonoBehaviour {

	int numberOfHumanoidsTouched = 0;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void OnTriggerEnter2D(Collider2D collider)
	{
		DontDestroyOnLoad (collider.gameObject);
		collider.gameObject.transform.position += new Vector3 (100f, 100f, 0f);
		//collider.gameObject.GetComponent<Humanoid> ().IsActive = false;

		numberOfHumanoidsTouched++;
		GameObject[] humanoids = GameObject.FindGameObjectsWithTag ("Humanoid");

		if (numberOfHumanoidsTouched == humanoids.Length)
		{
			if (Application.loadedLevel == Application.levelCount)
			{
				Debug.Log ("Final level reached!");
				return;
			}

			Application.LoadLevel (Application.loadedLevel + 1);
		}
	}
}
