﻿using UnityEngine;
using System.Collections;

public class BloodSplatter : MonoBehaviour {

	public Sprite Blood0;
	public Sprite Blood1;
	public Sprite Blood2;
	public Sprite Blood3;
	public Sprite Blood4;

	float fadeTimer = 0f;

	// Use this for initialization
	void Start () {
		float randomValue = Random.value * 100f;

		if (randomValue > 80)
			GetComponent<SpriteRenderer> ().sprite = Blood0;
		else if (randomValue > 60)
			GetComponent<SpriteRenderer> ().sprite = Blood1;
		else if (randomValue > 40)
			GetComponent<SpriteRenderer> ().sprite = Blood2;
		else if (randomValue > 20)
			GetComponent<SpriteRenderer> ().sprite = Blood3;
		else if (randomValue > 0)
			GetComponent<SpriteRenderer> ().sprite = Blood4;

		transform.localScale *= 0.5f + (Random.value - 0.5f);
		transform.Rotate (new Vector3(0f, 0f, Random.Range (0, 360f)));
	}
	
	// Update is called once per frame
	void Update () {
		fadeTimer += Time.deltaTime * 1000f;

		float a = 1f - (fadeTimer / 10000f);
		transform.localScale = new Vector3 (a, a, a);
	}
}
