﻿using UnityEngine;
using System.Collections;

public class WolfAttack : MonoBehaviour {
	
	public Wolf wolf;

	float attackCounter = 0;
	public float attackDelay = 10;


	void Start () {}

	void Update () {}
	
	void OnTriggerStay2D(Collider2D other)
	{
		attackCounter += Time.deltaTime;

		if (other.gameObject.tag == "Humanoid" && attackCounter > attackDelay && wolf.type == EnemyType.Wolf) 
		{
			HumanoidController hc = GameObject.FindGameObjectWithTag("GameController").GetComponent<HumanoidController>();
			GameObject.Instantiate(hc.BloodTemplate, other.transform.position, Quaternion.identity);

			attackCounter = 0;
			wolf.SetIsAttacking (true);
			this.transform.root.transform.position = new Vector3(this.transform.root.transform.position.x, this.transform.root.transform.position.y, -0.001f);
			Destroy (other.gameObject);
		} 

		else if (other.gameObject.tag == "Humanoid" && attackCounter > attackDelay && wolf.type == EnemyType.BigEnem) 
		{
			attackCounter = 0;
			wolf.SetIsAttacking (true);

			this.transform.root.transform.position = new Vector3(this.transform.root.transform.position.x, this.transform.root.transform.position.y, -0.001f);

			CircleCollider2D myCollider = transform.GetComponent<CircleCollider2D>();
			GameObject[] gameObjects = GameObject.FindGameObjectsWithTag("Humanoid");
			Humanoid[] humanoids = new Humanoid[gameObjects.Length];
			
			for(int i = 0; i < gameObjects.Length; i++)
			{
				humanoids[i] = gameObjects[i].GetComponent<Humanoid>();

				float dist = Vector3.Distance(humanoids[i].transform.position, myCollider.transform.position);
					
				if(dist < 1.3f )
				{
					HumanoidController hc = GameObject.FindGameObjectWithTag("GameController").GetComponent<HumanoidController>();
					GameObject.Instantiate(hc.BloodTemplate, humanoids[i].transform.position, Quaternion.identity);

					Destroy (humanoids[i].gameObject);
				}

			}
		}
	}
}